%define aurox_ver 10.0
%define rel 1


Summary: Basic authentication for the Apache web server using a MySQL database.
Name: mod_auth_mysql
Version: 20030510
Release: %{aurox_ver}.aur.%{rel}
Group: System Environment/Daemons
URL: http://modauthmysql.sourceforge.net/
Source: mod_auth_mysql-20030510.tgz
Source2: auth_mysql.conf
License: Apache Software License
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: httpd-devel >= 2.0.40-12, mysql-devel
Requires: httpd >= 2.0.40
Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn)

%description
mod_auth_mysql can be used to limit access to documents served by a
web server by checking data in a MySQL database.

%prep
%setup -q -n %{name}

%build
%{_sbindir}/apxs -DAPACHE2 -c %{name}.c -L%{_libdir}/mysql -lmysqlclient
mv .libs/%{name}.so .
%{__strip} -g %{name}.so

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules
install -m755 %{name}.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules

# Install the config file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 644 $RPM_SOURCE_DIR/auth_mysql.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_libdir}/httpd/modules/*.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf

%changelog
* Tue Jul 20 2004 Aurox Team <aurox@aurox.org> 0:20030510-10.0.aur.1
- rebuild for Aurox 10.0
- rebuild for Aurox 9.4

* Tue Jul 22 2003 Robert Glowczynski <robertg@software.com.pl> 20030510-9.1.aur.1
- rebuild for Aurox

* Thu Jul  3 2003 Joe Orton <jorton@redhat.com> 20030510-3
- rebuild for old MySQL

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com> 20030510-2
- rebuilt

* Tue May 13 2003 Gary Benson <gbenson@redhat.com> 20030510-1
- upgrade to 20030510

* Tue May 13 2003 Joe Orton <jorton@redhat.com> 1.11-13
- rebuild for httpd-2.0.45

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 1.11-12
- rebuilt

* Wed Nov  6 2002 Joe Orton <jorton@redhat.com> 1.11-11
- rebuild in new environment

* Mon Sep  2 2002 Joe Orton <jorton@redhat.com> 1.11-10
- require httpd-mmn for module ABI compatibility

* Fri Aug 29 2002 Gary Benson <gbenson@redhat.com> 1.11-9
- tweak examples in auth_mysql.conf to use fewer MySQLisms and to
  neither assume the existence of nor trample all over the 'test'
  database.

* Thu Aug 29 2002 Gary Benson <gbenson@redhat.com> 1.11-8
- add some examples to /etc/httpd/conf.d/auth_mysql.conf (#71317)

* Mon Aug 12 2002 Gary Benson <gbenson@redhat.com> 1.11-7
- rebuild against httpd-2.0.40

* Fri Jun 21 2002 Gary Benson <gbenson@redhat.com> 1.11-6
- move /etc/httpd2 back to /etc/httpd

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.11-5
- automated rebuild

* Thu May 30 2002 Gary Benson <gbenson@redhat.com> 1.11-4
- port to httpd-2.0
- add the config file
- tidy up the extracted readme

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 17 2002 Nalin Dahyabhai <nalin@redhat.com> 1.11-3
- rebuild in new environment

* Wed Sep  5 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.11 from 30 August, fixing problems detailed at
  http://cert.uni-stuttgart.de/advisories/apache_auth.php

* Fri May 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial package
